<?php
  $dni = 30;
  if(!isset($_COOKIE['hits'])){
    $ile = 1;
  }
  else{
    $ile = (int)$_COOKIE['hits'];
    if($ile < 1) $ile = 1;
    $ile++;
  }
  setcookie("hits", "$ile", time() + 60 * 60 * 24 * $dni);
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <p>
    <?php
      if($ile == 1){
        $str = "raz";
      } else {
        $str = "razy";
      }
      echo "Witamy, w ciągu ostatnich $dni dni byłeś na tej stronie $ile $str.";
    ?>
    </p>
  </body>
</html>